<?
/******************************************************
    MiniBoard 2.0 tree  :: DB scheme :: 
    - ̴Ϻ ҽ   ġ ʽϴ
******************************************************/

//  ̺ //
$member_table = "

   create table $member_t (

   no int(10) not null auto_increment primary key ,
   id varchar(20) not null,
   pass varchar(20) not null,
   name varchar(20) not null,
   email varchar(30),

   user_1 varchar(255), 
   user_2 varchar(255),
   user_3 varchar(255),
   user_4 varchar(255),
   user_5 varchar(255),

   level int(1) not null default 5,
   special_level varchar(20),

   jumin int(13),
   birth varchar(6) not null default 0,
   homepage varchar(255),
   icq varchar(20),
   msn varchar(30),
   buddy varchar(24),
   genie varchar(24),
   ment text,
   
   point int(10) not null default 0,
   mailing int(1) not null default 1,

   zone varchar(30) not null default 1,

   head varchar(255) not null default '<b>',
   foot varchar(255) not null default '</b>',

   article int(10) not null default 0,
   comment int(10) not null default 0,

   INDEX id(id),
   INDEX pass(pass),
   INDEX zone(zone),
   INDEX head(head),
   INDEX foot(foot)
   )  ";

// Խ ü ̺ //
    
$board_table = "

   create table $board_t$board_id (

   no int(10) not null auto_increment primary key,
   num int(10) not null,
   area int(10) not null,
   reply char(26) not null default 0,
   member_no int(10),

   name varchar(30) not null,
   pass varchar(20) not null,
   email varchar(30),
   homepage varchar(255),
   title varchar(250),
   ment text,

   ip varchar(15),
   reg_date int(13) not null,
   ip_mod varchar(15),
   reg_date_mod int(13),

   hit int(10) not null default 0,
   total_comment int(10) default 0,
   new_comment int(13),

   $file_query

   category varchar(30) not null default '',   
   link varchar(255),

   secret int(1),
   notice int(1),
   reply_mail int(1),
   
   bgmusic int(10),
   bgmusic_loof int(3),

   prev int(10),
   next int(10),

   KEY num (num,area,reply),
   KEY no (no),
   KEY reg_date (reg_date),
   KEY hit (hit),
   KEY category (category),
   KEY member_no (member_no),
   KEY prev(prev),
   KEY next(next)
   )  ";
      
         
// Խ  ̺ //
    
$admin_board_table = "

   create table $board_a_t (

   id varchar(20) not null primary key,
   zone varchar(30) not null default 1,

   skinname varchar(30) not null,
   set_login varchar(30),
   set_join varchar(30),
   set_pass varchar(30),

   total_article int(10) not null default 0,

   level_list int(1) not null default 0,
   level_read int(1) not null default 0,
   level_write int(1) not null default 0,
   level_comment int(1) not null default 0,
   level_reply int(1) not null default 0,
   level_secret int(1) not null default 1,
   level_notice int(1) not null default 1,

   board_admin varchar(255),
   head text,

   use_list int(1) not null default 0,
   use_notice int(1) not null default 1,
   use_link int(1) not null default 0,
   use_file_upload int(1) not null default 0,
   use_file_upload_value int(1) not null default 0,
   use_filter int(1) not null default 0,
   use_writer_ip int(1) not null default 0,
   use_secret int(1) not null default 1,
   use_comment int(1) not null default 1,
   use_bgmusic int(1) not null default 0,
   use_dobe int(1) not null default 0,
   use_search int(1) not null default 1,
   use_category int(1) not null default 0,
   use_first_reply int(1) not null default 1,

   dobe_value int(2) not null default '30',
   hot_time int(1) not null default '3',
   char_cut int(4) not null default 0,
   date_type_list varchar(20) not null default 'Y/m/d',
   date_type_cmt varchar(20) not null default 'Y/m/d (H:m:s)',
   date_type_view varchar(20) not null default 'Y/m/d (H:m:s)',

   back_image varchar(255),
   back_color varchar(15) not null default '#ffffff',
   board_width varchar(7) not null default '95%',
   list_count int(3) not null default '20',
   
   point_write int(5) not null default '5',
   point_cmt int(5) not null default '1',
   point_reply int(5) not null default '4',

   header_url varchar(255),
   header text,
   footer_url varchar(255),
   footer text,

   key_top char(1) not null default 'a',
   key_prev char(1) not null default  's',
   key_next char(1) not null default 'd',

   msg_write varchar(255) not null default 'ű ۾',
   msg_reply varchar(255) not null default '亯 ۾',
   msg_modify varchar(255) not null default ' ϱ',

   reply_head varchar(255) not null default '[RE]',
   comment_head varchar(255) not null default '[',
   comment_foot varchar(255) not null default ']',
   new_cmt_head varchar(255) not null default '<b>[',
   new_cmt_foot varchar(255) not null default ']</b>',

   text_filter text,
   file_filter text,
   tag_filter text,
   new_mail int(1) not null default 0,

   INDEX board_admin(board_admin),
   INDEX total_article(total_article),
   INDEX id(id),
   INDEX zone(zone)
   )  ";

// Խ comment ̺ //

$comment_table = "

   create table $comment_t$board_id (
   no int(10) not null auto_increment primary key ,
   target int(10) not null,
   member_no int(10) not null default '0' ,

   name varchar(20),
   pass varchar(20),
   ment text,
   reg_date  int(13) not null,
   ip varchar(15) not null,

   INDEX member_no(member_no),
   INDEX target(target)
   )  ";

// Խ area ̺ //

$area_table = "
 
   create table $area_t$board_id (
   area_no int(10) not null primary key,
   total int(10)
   ) ";
   

// LOGIN ̺ //
$login_table = "

   create table $login_t (
   member_no int(10) not null auto_increment primary key ,
   login int(1) not null default '0' ,
   date int(13), 
   new_message int(3) not null default '0',
   INDEX date(date),
   INDEX login(login),
   INDEX new_message(new_message)
   )  ";

// music ̺ //
$music_table = "

   create table $music_t (
   no int(10) not null auto_increment primary key ,
   title varchar(255) not null ,
   url varchar(255) not null 
   )  ";

// category ̺ //
$category_table = "

   create table $category_t (
   no int(10) not null auto_increment primary key ,
   target_id varchar(20) not null ,
   name varchar(255) not null, 
   total_article int(10) not null,

   INDEX name(name),
   INDEX target_id(target_id)
   )  ";

// zone ̺ //
$zone_table = "

   create table $zone_t (
   no int(10) not null auto_increment primary key ,
   name varchar(30) not null ,
   member int(10) not null default '0',
   board int(10) not null default '0',
   zone_member int(1) not null default '0',
   zone_admin varchar(255),

   skin varchar(20),
   essential char(15) not null default '100000000000000',
   joinform char(15) not null default '111111111111111',
   userform varchar(255) not null default 'user_1|user_2|user_3|user_4|user_5',
   
   INDEX name(name),
   INDEX zone_member(zone_member),
   INDEX zone_admin(zone_admin)
   )  ";

// memo ̺ //
$memo_table = "

   create table $memo_t (
   no int(10) not null auto_increment primary key ,
   target_no int(10) not null,
   from_no int(10) not null,
   from_name varchar(30) not null,
   ment text,
   time int(13) not null,
   isread int(1),
   special int(1)
   )  ";
?>

